<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref16.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::PTree::Visitor::visit&#40;DotMemberExpr*&#41; - Synopsis::PTree::Visitor::visit&#40;LabelStatement*&#41;</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::PTree::Visitor::visit&#40;DotMemberExpr*&#41; - Synopsis::PTree::Visitor::visit&#40;LabelStatement*&#41;</h1><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lDotMemberExpr_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;DotMemberExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lDotMemberExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#195">Synopsis/PTree/Visitor.hh:195</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lDupAtom_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;DupAtom*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lDupAtom_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#33">Synopsis/PTree/Visitor.hh:33</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lEnumSpec_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;EnumSpec*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lEnumSpec_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#133">Synopsis/PTree/Visitor.hh:133</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lExprStatement_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;ExprStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lExprStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#165">Synopsis/PTree/Visitor.hh:165</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lExpression_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;Expression*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lExpression_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#167">Synopsis/PTree/Visitor.hh:167</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lExternTemplate_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;ExternTemplate*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lExternTemplate_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#96">Synopsis/PTree/Visitor.hh:96</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lForStatement_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;ForStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lForStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#152">Synopsis/PTree/Visitor.hh:152</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lFstyleCastExpr_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;FstyleCastExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lFstyleCastExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#130">Synopsis/PTree/Visitor.hh:130</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lFuncallExpr_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;FuncallExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lFuncallExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#191">Synopsis/PTree/Visitor.hh:191</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lFunctionDefinition_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;FunctionDefinition*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lFunctionDefinition_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#114">Synopsis/PTree/Visitor.hh:114</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lGotoStatement_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;GotoStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lGotoStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#159">Synopsis/PTree/Visitor.hh:159</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lIdentifier_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;Identifier*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lIdentifier_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#34">Synopsis/PTree/Visitor.hh:34</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lIfStatement_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;IfStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lIfStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#144">Synopsis/PTree/Visitor.hh:144</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lInfixExpr_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;InfixExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lInfixExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#172">Synopsis/PTree/Visitor.hh:172</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKeyword_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;Keyword*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKeyword_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#35">Synopsis/PTree/Visitor.hh:35</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mAuto_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Auto*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#36">Synopsis/PTree/Visitor.hh:36</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mBool_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Bool*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#38">Synopsis/PTree/Visitor.hh:38</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mBreak_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Break*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#37">Synopsis/PTree/Visitor.hh:37</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mCase_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Case*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#39">Synopsis/PTree/Visitor.hh:39</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mCatch_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Catch*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#40">Synopsis/PTree/Visitor.hh:40</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mChar_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Char*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#41">Synopsis/PTree/Visitor.hh:41</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mClass_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Class*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#42">Synopsis/PTree/Visitor.hh:42</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mConst_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Const*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#44">Synopsis/PTree/Visitor.hh:44</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mContinue_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Continue*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#43">Synopsis/PTree/Visitor.hh:43</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mDefault_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Default*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#45">Synopsis/PTree/Visitor.hh:45</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mDelete_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Delete*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#46">Synopsis/PTree/Visitor.hh:46</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mDo_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Do*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#48">Synopsis/PTree/Visitor.hh:48</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mDouble_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Double*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#47">Synopsis/PTree/Visitor.hh:47</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mElse_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Else*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#49">Synopsis/PTree/Visitor.hh:49</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mExtern_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Extern*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#50">Synopsis/PTree/Visitor.hh:50</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mFloat_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Float*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#51">Synopsis/PTree/Visitor.hh:51</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mFor_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::For*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#52">Synopsis/PTree/Visitor.hh:52</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mFriend_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Friend*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#53">Synopsis/PTree/Visitor.hh:53</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mGoto_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Goto*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#54">Synopsis/PTree/Visitor.hh:54</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mIf_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::If*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#56">Synopsis/PTree/Visitor.hh:56</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mInline_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Inline*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#55">Synopsis/PTree/Visitor.hh:55</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mInt_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Int*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#57">Synopsis/PTree/Visitor.hh:57</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mLong_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Long*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#58">Synopsis/PTree/Visitor.hh:58</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mMutable_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Mutable*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#59">Synopsis/PTree/Visitor.hh:59</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mNamespace_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Namespace*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#60">Synopsis/PTree/Visitor.hh:60</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mNew_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::New*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#61">Synopsis/PTree/Visitor.hh:61</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mOperator_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Operator*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#62">Synopsis/PTree/Visitor.hh:62</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mPrivate_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Private*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#63">Synopsis/PTree/Visitor.hh:63</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mProtected_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Protected*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#64">Synopsis/PTree/Visitor.hh:64</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mPublic_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Public*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#65">Synopsis/PTree/Visitor.hh:65</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mRegister_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Register*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#66">Synopsis/PTree/Visitor.hh:66</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mReturn_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Return*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#67">Synopsis/PTree/Visitor.hh:67</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mShort_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Short*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#68">Synopsis/PTree/Visitor.hh:68</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mSigned_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Signed*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#69">Synopsis/PTree/Visitor.hh:69</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mStatic_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Static*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#70">Synopsis/PTree/Visitor.hh:70</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mStruct_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Struct*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#71">Synopsis/PTree/Visitor.hh:71</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mSwitch_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Switch*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#72">Synopsis/PTree/Visitor.hh:72</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mTemplate_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Template*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#73">Synopsis/PTree/Visitor.hh:73</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mThis_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::This*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#74">Synopsis/PTree/Visitor.hh:74</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mThrow_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Throw*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#75">Synopsis/PTree/Visitor.hh:75</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mTry_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Try*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#76">Synopsis/PTree/Visitor.hh:76</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mTypedef_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Typedef*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#77">Synopsis/PTree/Visitor.hh:77</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mTypename_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Typename*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#78">Synopsis/PTree/Visitor.hh:78</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mUnion_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Union*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#79">Synopsis/PTree/Visitor.hh:79</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mUnsigned_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Unsigned*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#80">Synopsis/PTree/Visitor.hh:80</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mUsing_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Using*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#81">Synopsis/PTree/Visitor.hh:81</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mVirtual_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Virtual*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#82">Synopsis/PTree/Visitor.hh:82</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mVoid_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Void*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#83">Synopsis/PTree/Visitor.hh:83</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mVolatile_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::Volatile*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#84">Synopsis/PTree/Visitor.hh:84</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mWChar_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::WChar*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#85">Synopsis/PTree/Visitor.hh:85</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lKwd_mWhile_S_r" /><h2 >Synopsis::PTree::Visitor::visit&#40;Kwd::While*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#86">Synopsis/PTree/Visitor.hh:86</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lLabelStatement_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;LabelStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lLabelStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#164">Synopsis/PTree/Visitor.hh:164</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
